AMH-4.2-WST

作者:W.S.T 发布时间:March 21, 2016

AMH 4.2 - W.S.T修改版
发布页 http://321cc.cn/AMH-4-2-WST.html
主要更新:
增加支持 CentOS 7 (64bit),Debian 8 (64bit)Ubuntu 15.04 (64bit)
替换 nginx-1.4.7 为 tengine-2.1.2
安装命令 wget http://321cc.cn/amh-4.2/amh-wst.sh && bash amh-wst.sh 2>&1 | tee amh-wst.log


-----------2016-03-21-----------
1.修改amh-wst.sh,OPENSSL, 开启TLS SNI 支持NGINX一个IP多个SSL证书./config enable-tlsext
2.修改amh-wst.sh,GetUrl地址
3.修改amh-wst.sh,tengine版本,替换成目前最新版tengine-2.1.2.tar.gz
4.修改amh-4.2-conf.zip,增加默认modules模块
5.修改amh-4.2-conf.zip,修改BRftp,增加port参数,支持备份到非默认21端口的FTP服务器
6.修改amh-4.2-conf.zip,修改php.ini,memory_limit,max_execution_time等参数调整
7.修改amh-4.2-conf.zip,修改pure-ftpd.conf,MaxClientsNumber,PassivePortRange等参数调整
8.修改tengine-2.1.2.tar.gz,修改tengine版本信息,src/core/nginx.h


-----------2015-05-26-----------
目前支持的系统
√ CentOS 6.4 (64bit)
√ CentOS 6.5 (64bit)
√ CentOS 6.6 (64bit)
√ CentOS 7 (64bit)
√ Debian 7 (64bit)
√ Debian 8 (64bit) - mhash 安装出错,但不影响使用
√ Ubuntu 14.04 LTS (64bit)
√ Ubuntu 14.10 (64bit)
√ Ubuntu 15.04 (64bit)
修改的地方
添加 pcre-8.36
添加 zlib-1.2.8
添加 openssl-1.0.2a
添加 gperftools-2.4
添加 ngx_cache_purge-2.3
添加 ngx_pagespeed-1.9.32.3
添加 ngx_http_substitutions_filter_module
替换 php-5.3.27 为 php-5.6.9
替换 nginx-1.4.7 为 tengine-2.1.0
替换 mysql-5.5.34 为 mysql-5.6.24
更改 mysql 数据保存位置为 /home/mysql_data
修改错误提示页
使用方法
1、安装 wget 和 screen 命令
Centos:
yum install -y wget
yum install -y screen
Debian/Ubuntu:
apt-get install -y wget
apt-get install -y screen
2、然后运行安装命令
screen -S installAMH
cd ~
rm -rf amh*
wget http://321cc.cn/amh-4.2/amh-wst.sh
bash amh-wst.sh 2>&1 | tee amh-wst.log


如果已经安装过,或安装出错后重新安装,请先 Uninstall AMH 4.2
更多模块可在管理面板进行安装。
免责声明
本项目未做大量测试;
本项目不保证兼容性;
本项目BUG修复视是否空闲而定;
本项目为W.S.T自用,会根据需要进行修改,若您不喜,请安装官方原版;
W.S.T不提出本项目任何技术支持,若需技术支持请移步 amh.sh;
开源是精神,不是义务



添加新评论 »